import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import '../node_modules/bulma/css/bulma.css'

import App from './App.vue'
import router from './router'

import { SocketIoClientService } from '@/services/SocketIoClientService'
import { LoggingService } from '@/services/LoggingService'
import { AuthenticationService } from './services/AuthenticationService'

const app = createApp(App)

app.use(createPinia())
app.use(router)

app.provide('socket', new SocketIoClientService('http://localhost:3000'))
app.provide('logger', new LoggingService())
app.provide('auth', new AuthenticationService())

app.mount('#app')
